Get an OCM repository
GET
/api/admin/migration/ocm/{config_id}/repository/{repo_id}
const url = 'https://example.com/api/admin/migration/ocm/example/repository/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/migration/ocm/example/repository/example \ --header 'Authorization: Bearer <token>'Retrieves a single repository from the OCM source instance
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”config_id
required
Repository configuration ID
string
repo_id
required
OCM repository ID
string
Responses
Section titled “Responses”OCM repository retrieved successfully
Media typeapplication/json
A single OCM repository from the source instance
object
id
OCM repository ID
string
name
OCM repository name
string
Examplegenerated
{ "id": "example", "name": "example"}